【安卓】android项目导入SlidingMenu始终报找不到android.support.v4.view的解决方法

android项目导入SlidingMenu始终报找不到android.support.v4.view的解决方法

执着明日发布于 今天 08:59

创建了一个新的android项目,导入slidingmenu库的时候却始终报找不到android.support.v4.view,死磕了两天,百度了很多方法始终无法解决,终于第三天的时候无意中看到一篇文章名是Android Studio无法导入android.support.v4.view包处理的博文:https://blog.csdn.net/weixin_...,原来我搜索的关键词错了,不应该搜slidingmenu怎么导入或者是找不到android.support.v4.view,而是应该搜android项目无法导入android.support.v4.view。

这个报错可能对有经验的android工程师来说很简单,很容易找到问题的原因,这是因为现在的android项目默认使用的都是新的androidx库,如果导入旧的android.support库会不兼容,最简单的处理方式就是重新创建一个项目时,勾选Use legacy android.support libraries这个选项:
【安卓】android项目导入SlidingMenu始终报找不到android.support.v4.view的解决方法
这个选项的意思是使用旧的android.support库,
勾选上这个选项后就会默认使用android库,但是同样的也就无法使用新的androidx库,所以根据自己的需要。
当然如果不想重新创建项目也可以把gradle.properties文件里的android.useAndroidX和android.enableJetifier的值改成false,并且把External Libraries里的所有关于androidx的库全部删掉,否则还是会编译失败,我试了很多方法都没能删掉External Libraries,所以选择了重新创建一个项目。
解决好android和androidx不兼容的问题后,开始导入SlidingMenu,导入方式我参考的是开源中国里的一篇博文,很全https://my.oschina.net/u/4263...
把SlidingMenu放入项目里,按照博文上写的改好了sdk版本等相关问题后又报了一堆类似Duplicate class android.support.v4.accessibilityservice.AccessibilityServiceInfoCompat found in modules android-support-v4的错误,这个问题就比较好解决了,百度一搜发现是因为app的build.gradle里也引入了android.support库,只不过引入的是v7版本的,而v7版本里包含的也有v4,所以依赖重复了,解决方法很简单,把SlidingMenu库的build.gradle文件中的dependencies里关于com.android.support:appcompat库v4的版本替换成和app目录下build.gradle文件中的dependencies下的com.android.support:appcompat库一样的版本号,然后build成功

androidandroid-studioslidingmenu

阅读 26更新于 今天 09:01

本作品系原创,采用《署名-非商业性使用-禁止演绎 4.0 国际》许可协议

avatar

执着明日

重启大法真牛逼

111 声望

2 粉丝

0 条评论

得票时间

avatar

执着明日

重启大法真牛逼

111 声望

2 粉丝

宣传栏

创建了一个新的android项目,导入slidingmenu库的时候却始终报找不到android.support.v4.view,死磕了两天,百度了很多方法始终无法解决,终于第三天的时候无意中看到一篇文章名是Android Studio无法导入android.support.v4.view包处理的博文:https://blog.csdn.net/weixin_...,原来我搜索的关键词错了,不应该搜slidingmenu怎么导入或者是找不到android.support.v4.view,而是应该搜android项目无法导入android.support.v4.view。

这个报错可能对有经验的android工程师来说很简单,很容易找到问题的原因,这是因为现在的android项目默认使用的都是新的androidx库,如果导入旧的android.support库会不兼容,最简单的处理方式就是重新创建一个项目时,勾选Use legacy android.support libraries这个选项:
【安卓】android项目导入SlidingMenu始终报找不到android.support.v4.view的解决方法
这个选项的意思是使用旧的android.support库,
勾选上这个选项后就会默认使用android库,但是同样的也就无法使用新的androidx库,所以根据自己的需要。
当然如果不想重新创建项目也可以把gradle.properties文件里的android.useAndroidX和android.enableJetifier的值改成false,并且把External Libraries里的所有关于androidx的库全部删掉,否则还是会编译失败,我试了很多方法都没能删掉External Libraries,所以选择了重新创建一个项目。
解决好android和androidx不兼容的问题后,开始导入SlidingMenu,导入方式我参考的是开源中国里的一篇博文,很全https://my.oschina.net/u/4263...
把SlidingMenu放入项目里,按照博文上写的改好了sdk版本等相关问题后又报了一堆类似Duplicate class android.support.v4.accessibilityservice.AccessibilityServiceInfoCompat found in modules android-support-v4的错误,这个问题就比较好解决了,百度一搜发现是因为app的build.gradle里也引入了android.support库,只不过引入的是v7版本的,而v7版本里包含的也有v4,所以依赖重复了,解决方法很简单,把SlidingMenu库的build.gradle文件中的dependencies里关于com.android.support:appcompat库v4的版本替换成和app目录下build.gradle文件中的dependencies下的com.android.support:appcompat库一样的版本号,然后build成功

以上是 【安卓】android项目导入SlidingMenu始终报找不到android.support.v4.view的解决方法 的全部内容, 来源链接: www.h5w3.com/113373.html

回到顶部